### Method

# Pos CompleterBase set_surrounding_text

#### Declaration [src]

    void
    pos_completer_base_set_surrounding_text (
      PosCompleterBase* iface,
      const char* before_text,
      const char* after_text
    )

#### Description

No description available.

#### Parameters

`before_text`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`after_text`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.